#!/bin/sh
echo 'name: monad-par
version: 0.3
id: monad-par-0.3-84992568c57deca236f1a3901c1d0dd0

license: BSD3
copyright: (c) Simon Marlow 2011
maintainer: Simon Marlow <marlowsd@gmail.com>
stability: Experimental
homepage: https://github.com/simonmar/monad-par
package-url:
synopsis: A library for parallel programming based on a monad
description: This library offers an alternative parallel programming
             API to that provided by the @parallel@ package.
             A '\''Par'\'' monad allows the simple description of
             parallel computations, and can be used to add
             parallelism to pure Haskell code.  The basic API
             is straightforward: the monad supports forking
             and simple communication in terms of '\''IVar'\''s.
             The library comes with a work-stealing
             implementation, but the internals are also
             exposed so that you can build your own scheduler
             if necessary.
             Examples of use can be found in the examples/ directory
             of the source package.
             The modules below provide additionaly schedulers,
             data structures, and other added capabilities
             layered on top of the '\''Par'\'' monad.
category: Control,Parallelism,Monads
author: Simon Marlow
pkgpath: devel/hs-monad-par
exposed: True
exposed-modules: Control.Monad.Par Control.Monad.Par.Scheds.Trace
                 Control.Monad.Par.Scheds.TraceInternal
                 Control.Monad.Par.Scheds.Direct Control.Monad.Par.Scheds.Sparks
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/ghc/monad-par-0.3
library-dirs: /usr/local/lib/ghc/monad-par-0.3
hs-libraries: HSmonad-par-0.3
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: abstract-deque-0.1.6-e6c352e6868e8a7c9ff010a4a8aa9192
         abstract-par-0.3.1-5b7e37b03a3537206bd749b1bdf40c7f
         array-0.4.0.0-0b6c5ca7e879a14d110ca4c001dd9297
         base-4.5.1.0-f38bf31a759416ec7b167d6dc132959a
         containers-0.4.2.1-75f143aa39a3e77a1ce2300025bdd8ce
         deepseq-1.3.0.0-c26e15897417ecd448742528253d68f6
         monad-par-extras-0.3.2-82c0cddbb76627ef686e806f738aca34
         mtl-2.1.2-02e701f9b1590ee88a0b5b0bd5d93a29
         mwc-random-0.12.0.1-6150181fa129b5a3adc2cb4de368f6b4
         parallel-3.2.0.3-4cdd6067624f867b253b98d6d9fb9f52
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/hs-monad-par-0.3/html/monad-par.haddock
haddock-html: /usr/local/share/doc/hs-monad-par-0.3/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
